Bug 1027115 - xfsprogs: xfsprogs-devel cannot be installed by yum
xfsprogs: xfsprogs-devel cannot be installed by yum
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsprogs (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Sandeen
Filesystem QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 03:06 EST by Eryu Guan
Modified: 2013-11-06 03:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 03:11:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eryu Guan 2013-11-06 03:06:25 EST
Description of problem:
yum install -y xfsprogs-devel
....
Error: Package: xfsprogs-devel-3.1.11-3.el7.x86_64 (@beaker-Server-optional)
           Requires: xfsprogs = 3.1.11-3.el7
           Removing: xfsprogs-3.1.11-3.el7.x86_64 (@beaker-Server)
               xfsprogs = 3.1.11-3.el7
           Updated By: xfsprogs-3.2.0-0.1.alpha1.el7.x86_64 (beaker-Server)
               xfsprogs = 3.2.0-0.1.alpha1.el7

Version-Release number of selected component (if applicable):
xfsprogs-3.2.0-0.1.alpha1.el7

How reproducible:
always

Steps to Reproduce:
1. setup repo which has xfsprogs-3.2.0-0.1.alpha1.el7, baseurl=http://download.eng.bos.redhat.com/rel-eng/RHEL-7.0-20131030.1/compose/Server/x86_64/os
2. yum install -y xfsprogs-devel
3.

Actual results:
install failed due to unmet dependency

Expected results:
could install xfsprogs-devel

Additional info:
Comment 1 Eryu Guan 2013-11-06 03:11:47 EST
Sorry for the noise, I didn't enable the "optional" repo...

Closed as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.